
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for bean/headerValidation.ts</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../prettify.css" />
    <link rel="stylesheet" href="../base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="../favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1><a href="../index.html">All files</a> / <a href="index.html">bean</a> headerValidation.ts</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>0/31</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>0/17</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>0/1</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>0/31</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
        <template id="filterTemplate">
            <div class="quiet">
                Filter:
                <input oninput="onInput()" type="search" id="fileSearch">
            </div>
        </template>
    </div>
    <div class='status-line low'></div>
    <pre><table class="coverage">
<tr><td class="line-count quiet"><a name='L1'></a><a href='#L1'>1</a>
<a name='L2'></a><a href='#L2'>2</a>
<a name='L3'></a><a href='#L3'>3</a>
<a name='L4'></a><a href='#L4'>4</a>
<a name='L5'></a><a href='#L5'>5</a>
<a name='L6'></a><a href='#L6'>6</a>
<a name='L7'></a><a href='#L7'>7</a>
<a name='L8'></a><a href='#L8'>8</a>
<a name='L9'></a><a href='#L9'>9</a>
<a name='L10'></a><a href='#L10'>10</a>
<a name='L11'></a><a href='#L11'>11</a>
<a name='L12'></a><a href='#L12'>12</a>
<a name='L13'></a><a href='#L13'>13</a>
<a name='L14'></a><a href='#L14'>14</a>
<a name='L15'></a><a href='#L15'>15</a>
<a name='L16'></a><a href='#L16'>16</a>
<a name='L17'></a><a href='#L17'>17</a>
<a name='L18'></a><a href='#L18'>18</a>
<a name='L19'></a><a href='#L19'>19</a>
<a name='L20'></a><a href='#L20'>20</a>
<a name='L21'></a><a href='#L21'>21</a>
<a name='L22'></a><a href='#L22'>22</a>
<a name='L23'></a><a href='#L23'>23</a>
<a name='L24'></a><a href='#L24'>24</a>
<a name='L25'></a><a href='#L25'>25</a>
<a name='L26'></a><a href='#L26'>26</a>
<a name='L27'></a><a href='#L27'>27</a>
<a name='L28'></a><a href='#L28'>28</a>
<a name='L29'></a><a href='#L29'>29</a>
<a name='L30'></a><a href='#L30'>30</a>
<a name='L31'></a><a href='#L31'>31</a>
<a name='L32'></a><a href='#L32'>32</a>
<a name='L33'></a><a href='#L33'>33</a>
<a name='L34'></a><a href='#L34'>34</a>
<a name='L35'></a><a href='#L35'>35</a>
<a name='L36'></a><a href='#L36'>36</a>
<a name='L37'></a><a href='#L37'>37</a>
<a name='L38'></a><a href='#L38'>38</a>
<a name='L39'></a><a href='#L39'>39</a>
<a name='L40'></a><a href='#L40'>40</a>
<a name='L41'></a><a href='#L41'>41</a>
<a name='L42'></a><a href='#L42'>42</a>
<a name='L43'></a><a href='#L43'>43</a>
<a name='L44'></a><a href='#L44'>44</a>
<a name='L45'></a><a href='#L45'>45</a>
<a name='L46'></a><a href='#L46'>46</a>
<a name='L47'></a><a href='#L47'>47</a>
<a name='L48'></a><a href='#L48'>48</a>
<a name='L49'></a><a href='#L49'>49</a>
<a name='L50'></a><a href='#L50'>50</a>
<a name='L51'></a><a href='#L51'>51</a>
<a name='L52'></a><a href='#L52'>52</a>
<a name='L53'></a><a href='#L53'>53</a>
<a name='L54'></a><a href='#L54'>54</a></td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">&nbsp;
const expressHeaderValidation = <span class="cstat-no" title="statement not covered" >require('express');</span>
const httpError = <span class="cstat-no" title="statement not covered" >require("../model/httpError.ts");</span>
const applicationMaps = <span class="cstat-no" title="statement not covered" >require("../enum/applicationIdEnum.ts");</span>
const appHeaderValidation = <span class="cstat-no" title="statement not covered" >expressHeaderValidation();</span>
const Enum = <span class="cstat-no" title="statement not covered" >require('enum');</span>
function <span class="fstat-no" title="function not covered" >validationErrors(</span>req) {
    var arrayOfErrors = <span class="cstat-no" title="statement not covered" >[];</span>
<span class="cstat-no" title="statement not covered" >    console.log(typeof req.get('CIF'));</span>
<span class="cstat-no" title="statement not covered" >    console.log(typeof req.get('GUID'));</span>
<span class="cstat-no" title="statement not covered" >    <span class="missing-if-branch" title="if path not taken" >I</span>if (typeof req.get('CIF')==="undefined" || req.get('CIF') === "") {</span>
 
<span class="cstat-no" title="statement not covered" >        arrayOfErrors.push(new httpError.BadRequestError("USB_COM_505", 'CIF is either empty or contains only spaces','CIF'));</span>
    };
<span class="cstat-no" title="statement not covered" >    <span class="missing-if-branch" title="if path not taken" >I</span>if (typeof req.get('ApplicationId') === "undefined" || req.get('ApplicationId') === "") {</span>
<span class="cstat-no" title="statement not covered" >        console.log("enter into if condition");</span>
<span class="cstat-no" title="statement not covered" >        console.log(req.get('ApplicationId'));</span>
<span class="cstat-no" title="statement not covered" >        arrayOfErrors.push(new httpError.BadRequestError("USB_COM_505", 'ApplicationId is either empty or contains only spaces', 'ApplicationId'));</span>
    };
<span class="cstat-no" title="statement not covered" >    <span class="missing-if-branch" title="if path not taken" >I</span>if (typeof req.get('ApplicationName') === "undefined" || req.get('ApplicationName') === "") {</span>
       // console.log(req.get('ApplicationName'));
<span class="cstat-no" title="statement not covered" >        arrayOfErrors.push(new httpError.BadRequestError("USB_COM_505", 'ApplicationName is either empty or contains only spaces', 'ApplicationName'));</span>
    };
<span class="cstat-no" title="statement not covered" >    <span class="missing-if-branch" title="if path not taken" >I</span>if (typeof req.get('ApplicationVersion') === "undefined" || req.get('ApplicationVersion') === "") {</span>
      //  console.log(req.get('ApplicationVersion'));
<span class="cstat-no" title="statement not covered" >        arrayOfErrors.push(new httpError.BadRequestError("USB_COM_505", 'ApplicationVersion is either empty or contains only spaces', 'ApplicationVersion'));</span>
    };
<span class="cstat-no" title="statement not covered" >    <span class="missing-if-branch" title="if path not taken" >I</span>if (typeof req.get('TraceID') === "undefined" || req.get('TraceID') === "") {</span>
      //  console.log(req.get('TraceID'));
<span class="cstat-no" title="statement not covered" >        arrayOfErrors.push(new httpError.BadRequestError("USB_COM_505", 'TraceID is either empty or contains only spaces', 'TraceID'));</span>
    };
 //   const applicationIdEnum = new Enum({
   //     'ALLYUSBOLB': "ALLYUSBOLB",
    //    ALLYUSBOLB: "ALLYUSBOLB"
    //})
    var appId = <span class="cstat-no" title="statement not covered" >req.get('ApplicationId');</span>
    var appName = <span class="cstat-no" title="statement not covered" >req.get('ApplicationName');</span>
<span class="cstat-no" title="statement not covered" >    console.log("appName::::::::::::::::::::", appName);</span>
    //console.log("enum value::::::::::::::::::::::::::::::::", applicationIdEnum.appId);
    //console.log("enum value::::::::::::::::::::::::::::::::", applicationIdEnum.ALLYUSBOLB.key);
<span class="cstat-no" title="statement not covered" >    console.log("value of applicationId::::::::::::::::::::::::::::: ", applicationMaps.applicationIdMap.get(appId));</span>
<span class="cstat-no" title="statement not covered" >    <span class="missing-if-branch" title="if path not taken" >I</span>if (typeof applicationMaps.applicationIdMap.get(appId)==="undefined") {</span>
        
<span class="cstat-no" title="statement not covered" >        arrayOfErrors.push(new httpError.BadRequestError("USB_COM_503", 'The value for ApplicationId is outside the range of valid values.', 'ApplicationId'));</span>
    };
<span class="cstat-no" title="statement not covered" >    console.log("value of applicationName::::::::::::::::::::::::::::: ", applicationMaps.applicationNameMap.get(appName));</span>
<span class="cstat-no" title="statement not covered" >    <span class="missing-if-branch" title="if path not taken" >I</span>if (typeof applicationMaps.applicationNameMap.get(appName) === "undefined") {</span>
&nbsp;
<span class="cstat-no" title="statement not covered" >        arrayOfErrors.push(new httpError.BadRequestError("USB_COM_503", 'The value for ApplicationName is outside the range of valid values.', 'ApplicationName'));</span>
    };
&nbsp;
<span class="cstat-no" title="statement not covered" >    return arrayOfErrors;</span>
};
<span class="cstat-no" title="statement not covered" >module.exports = { validationErrors };</span></pre></td></tr></table></pre>

                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank" rel="noopener noreferrer">istanbul</a>
                at 2022-08-17T12:29:47.711Z
            </div>
        <script src="../prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="../sorter.js"></script>
        <script src="../block-navigation.js"></script>
    </body>
</html>
    